Bug 76308 - Please add cscope to RH Linux
Summary: Please add cscope to RH Linux
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL: http://cscope.sourceforge.net
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-19 17:19 UTC by Jason Duell
Modified: 2007-03-27 03:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 14:43:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Duell 2002-10-19 17:19:31 UTC
Description of Problem:

You should add cscope to the Red Hat distro:  http://cscope.sf.net

Version-Release number of selected component (if applicable): 

15.4.  That's right--fifteen major versions.  This is the original C source code
browser developed at Bell Labs in the early 1980s and shipped for many years
with AT&T Unix, now open-sourced and ready to be part of Red Hat Linux.  We're
already included in Debian and Suse.  The code is very stable, and we're just in
maintenance mode (mainly fixing minor terminal bugs on obscure Unix platforms
and Cygwin).  I've used cscope every day on my various Red Hat boxes (since
7.1), with no problems, ever.

How Reproducible: very

Steps to Reproduce:
1. Go to http://cscope.sf.net
2. Grab our RPM and add it to your distro.  If there's any particular features
the RPM must have, let me know and I can add them.
3. Maybe we should talk about adding vim-cscope and/or emacs-cscope rpms, if you
wish to automate those editors' support for cscope (vim has most of this support
built in already, with emacs it's just a lisp script).

Actual Results:

Joy on my part

Expected Results:

Joy on the part of lots of developers, especially the good old fashioned kind
who use vim and emacs and write C code (though cscope also works with C++ and
Java).  Cscope is much more powerful than etags/ctags, and it doesn't require
you to fire up a GUI tool like source navigator.

Additional Information:
	
I'm sorry to pester you via a bug form like this, but this is the way that
Ulrich Drepper from the glibc team suggested I contact you (finding the place to
suggest new additions to your distro is not obvious on your website).

Please feel free to contact me if I can do anything to help get cscope into Red Hat.

Cheers,

Jason Duell
Cscope developer team


Note You need to log in before you can comment on or make changes to this bug.